Scan recordings now
Queue up to 50 recordings. Ignores sampling_rate and works on a disabled scanner, but counts against monthly_scan_limit. Sessions the scanner already observed are listed in already_observed.
curl -X POST "https://mythic-analytics.gulp.workers.dev/client/v1/replay-vision/scanners/123e4567-e89b-12d3-a456-426614174000/scan" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"session_ids": [
"example_string"
]
}'
import requests
import json
url = "https://mythic-analytics.gulp.workers.dev/client/v1/replay-vision/scanners/123e4567-e89b-12d3-a456-426614174000/scan"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"session_ids": [
"example_string"
]
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://mythic-analytics.gulp.workers.dev/client/v1/replay-vision/scanners/123e4567-e89b-12d3-a456-426614174000/scan", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"session_ids": [
"example_string"
]
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"session_ids": [
"example_string"
]
}`)
req, err := http.NewRequest("POST", "https://mythic-analytics.gulp.workers.dev/client/v1/replay-vision/scanners/123e4567-e89b-12d3-a456-426614174000/scan", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://mythic-analytics.gulp.workers.dev/client/v1/replay-vision/scanners/123e4567-e89b-12d3-a456-426614174000/scan')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"session_ids": [
"example_string"
]
}'
response = http.request(request)
puts response.body
{
"success": true,
"data": {
"queued": [
{
"observation_id": "123e4567-e89b-12d3-a456-426614174000",
"session_id": "example_string"
}
],
"already_observed": [
{
"observation_id": "123e4567-e89b-12d3-a456-426614174000",
"session_id": "example_string",
"status": "example_string"
}
],
"skipped_monthly_limit": 42
}
}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
{
"error": "Conflict",
"message": "The request conflicts with the current state of the resource",
"code": 409,
"details": "Resource already exists"
}
{
"error": "Too Many Requests",
"message": "Rate limit exceeded. Please try again later",
"code": 429,
"retryAfter": 3600
}
/client/v1/replay-vision/scanners/{id}/scanTarget server for requests. Edit to use your own host.
Agency key (ak_) only; a location secret key (sk_) gets 403 agency_required. Agency-wide scoped keys (mcp_) need replay_vision:read or replay_vision:write.
ak_) only; a location secret key (sk_) gets 403 agency_required. Agency-wide scoped keys (mcp_) need replay_vision:read or replay_vision:write.The media type of the request body
Recording session ids from GET /client/v1/data/replays.
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. Agency key (ak_) only; a location secret key (sk_) gets 403 agency_required. Agency-wide scoped keys (mcp_) need replay_vision:read or replay_vision:write.
Path Parameters
Body
Recording session ids from GET /client/v1/data/replays.